Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(27)

Issue 2527263002: Add delay to FakeDisplayDelegate::Configure(). (Closed)

Created:
3 years, 8 months ago by kylechar
Modified:
3 years, 8 months ago
Reviewers:
rjkroege
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add delay to FakeDisplayDelegate::Configure(). Display configuration takes some time on real devices. Add in a 200ms delay from when Configure() is called to when the callback is triggered so off device timing is similar to on device timing. BUG=none Committed: https://crrev.com/20cd03e4cc39df94f79996d71cbbcaee26fa37bf Cr-Commit-Position: refs/heads/master@{#435553}

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -8 lines) Patch
M ui/display/fake_display_delegate.h View 2 chunks +10 lines, -1 line 0 comments Download
M ui/display/fake_display_delegate.cc View 5 chunks +27 lines, -7 lines 3 comments Download

Messages

Total messages: 15 (8 generated)
kylechar
3 years, 8 months ago (2016-11-28 15:44:33 UTC) #2
rjkroege
lgtm -- but you could make better? https://codereview.chromium.org/2527263002/diff/1/ui/display/fake_display_delegate.cc File ui/display/fake_display_delegate.cc (right): https://codereview.chromium.org/2527263002/diff/1/ui/display/fake_display_delegate.cc#newcode36 ui/display/fake_display_delegate.cc:36: constexpr int64_t ...
3 years, 8 months ago (2016-11-29 19:12:32 UTC) #7
kylechar
https://codereview.chromium.org/2527263002/diff/1/ui/display/fake_display_delegate.cc File ui/display/fake_display_delegate.cc (right): https://codereview.chromium.org/2527263002/diff/1/ui/display/fake_display_delegate.cc#newcode36 ui/display/fake_display_delegate.cc:36: constexpr int64_t kConfigureDisplayDelayMs = 200; On 2016/11/29 19:12:32, rjkroege ...
3 years, 8 months ago (2016-11-29 21:51:41 UTC) #8
kylechar
https://codereview.chromium.org/2527263002/diff/1/ui/display/fake_display_delegate.cc File ui/display/fake_display_delegate.cc (right): https://codereview.chromium.org/2527263002/diff/1/ui/display/fake_display_delegate.cc#newcode36 ui/display/fake_display_delegate.cc:36: constexpr int64_t kConfigureDisplayDelayMs = 200; On 2016/11/29 21:51:41, kylechar ...
3 years, 8 months ago (2016-12-01 03:43:09 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2527263002/1
3 years, 8 months ago (2016-12-01 03:43:29 UTC) #11
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 8 months ago (2016-12-01 04:31:56 UTC) #13
commit-bot: I haz the power
3 years, 8 months ago (2016-12-01 04:34:28 UTC) #15
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/20cd03e4cc39df94f79996d71cbbcaee26fa37bf
Cr-Commit-Position: refs/heads/master@{#435553}

Powered by Google App Engine
This is Rietveld 408576698